Package owl.ltl.visitors

## Class Converter

- java.lang.Object
- - owl.ltl.visitors.Converter

- All Implemented Interfaces:
    `Function<Formula,​Formula>`, `UnaryOperator<Formula>`, `Visitor<Formula>`
  Direct Known Subclasses:
    `UnabbreviateVisitor`

      public abstract class Converter
      extends Object
      implements Visitor<Formula>, UnaryOperator<Formula>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Converter​(Set<Class<? extends Formula>> supportedCases)` |
    `protected` | `Converter​(SyntacticFragment fragment)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Formula` | `apply​(Formula formula)` |
    `Formula` | `visit​(Biconditional biconditional)` |
    `Formula` | `visit​(BooleanConstant booleanConstant)` |
    `Formula` | `visit​(Conjunction conjunction)` |
    `Formula` | `visit​(Disjunction disjunction)` |
    `Formula` | `visit​(FOperator fOperator)` |
    `Formula` | `visit​(FrequencyG freq)` |
    `Formula` | `visit​(GOperator gOperator)` |
    `Formula` | `visit​(Literal literal)` |
    `Formula` | `visit​(MOperator mOperator)` |
    `Formula` | `visit​(ROperator rOperator)` |
    `Formula` | `visit​(UOperator uOperator)` |
    `Formula` | `visit​(WOperator wOperator)` |
    `Formula` | `visit​(XOperator xOperator)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose`

- - ### Constructor Detail

    - #### Converter

          protected Converter​(SyntacticFragment fragment)

    - #### Converter

          protected Converter​(Set<Class<? extends Formula>> supportedCases)

  - ### Method Detail

    - #### apply

          public Formula apply​(Formula formula)

      Specified by:
        `apply` in interface `Function<Formula,​Formula>`
      Specified by:
        `apply` in interface `Visitor<Formula>`

    - #### visit

          public Formula visit​(Biconditional biconditional)

      Specified by:
        `visit` in interface `Visitor<Formula>`

    - #### visit

          public Formula visit​(BooleanConstant booleanConstant)

      Specified by:
        `visit` in interface `Visitor<Formula>`

    - #### visit

          public Formula visit​(Conjunction conjunction)

      Specified by:
        `visit` in interface `Visitor<Formula>`

    - #### visit

          public Formula visit​(Disjunction disjunction)

      Specified by:
        `visit` in interface `Visitor<Formula>`

    - #### visit

          public Formula visit​(FOperator fOperator)

      Specified by:
        `visit` in interface `Visitor<Formula>`

    - #### visit

          public Formula visit​(FrequencyG freq)

      Specified by:
        `visit` in interface `Visitor<Formula>`

    - #### visit

          public Formula visit​(GOperator gOperator)

      Specified by:
        `visit` in interface `Visitor<Formula>`

    - #### visit

          public Formula visit​(Literal literal)

      Specified by:
        `visit` in interface `Visitor<Formula>`

    - #### visit

          public Formula visit​(MOperator mOperator)

      Specified by:
        `visit` in interface `Visitor<Formula>`

    - #### visit

          public Formula visit​(ROperator rOperator)

      Specified by:
        `visit` in interface `Visitor<Formula>`

    - #### visit

          public Formula visit​(UOperator uOperator)

      Specified by:
        `visit` in interface `Visitor<Formula>`

    - #### visit

          public Formula visit​(WOperator wOperator)

      Specified by:
        `visit` in interface `Visitor<Formula>`

    - #### visit

          public Formula visit​(XOperator xOperator)

      Specified by:
        `visit` in interface `Visitor<Formula>`